Elektra: org.libelektra.Plugin Interface Reference

Elektra 0.8.24

Public Member Functions | List of all members
org.libelektra.Plugin Interface Reference

This is a Java representation of a plugin. More...

Inherited by org.libelektra.plugin.Echo, org.libelektra.plugin.ExceptionTest, org.libelektra.plugin.PropertiesStorage, org.libelektra.plugin.Return, and org.libelektra.plugin.Template.

## Public Member Functions
int | open (KeySet conf, Key errorKey)
| Calls the open function of the plugin. More...
int | get (KeySet ks, Key parentKey)
| Calls the get function of the plugin. More...
int | set (KeySet ks, Key parentKey)
| Calls the set function of the plugin. More...
int | error (KeySet ks, Key parentKey)
| Calls the error function of the plugin. More...
int | close (Key parentKey)
| Calls the close function of the plugin. More...

## Detailed Description

This is a Java representation of a plugin.

## Member Function Documentation

## ◆ close()

int org.libelektra.Plugin.close | ( | Key | parentKey | ) |

Calls the close function of the plugin.

Parameters

  parentKey | a key

Returns
  the plugin's return value for close

## ◆ error()

int org.libelektra.Plugin.error | ( | KeySet | ks,
|  | Key | parentKey
| ) |  |

Calls the error function of the plugin.

Parameters

  ks | a keyset
  parentKey | a key

Returns
  the plugin's return value for error

## ◆ get()

int org.libelektra.Plugin.get | ( | KeySet | ks,
|  | Key | parentKey
| ) |  |

Calls the get function of the plugin.

Parameters

  ks | a keyset
  parentKey | a key

Returns
  the plugin's return value for get

## ◆ open()

int org.libelektra.Plugin.open | ( | KeySet | conf,
|  | Key | errorKey
| ) |  |

Calls the open function of the plugin.

Parameters

  conf | a configuration keyset
  errorKey | a key

Returns
  the plugin's return value for open

## ◆ set()

int org.libelektra.Plugin.set | ( | KeySet | ks,
|  | Key | parentKey
| ) |  |

Calls the set function of the plugin.

Parameters

  ks | a keyset
  parentKey | a key

Returns
  the plugin's return value for set

The documentation for this interface was generated from the following file:

- Plugin.java